Servoy 2021.03

Servoy announcements

Servoy 2021.03

Postby jcompagner » Wed Mar 31, 2021 5:58 pm

We are pleased to announce the availability of Servoy 2021.03 (release number 3642)

Look at the whats new for more info about the 2021.03.x changes
For all fixes in this release see issues list.

This version is available through the the download site

We ship only installers, so for windows an exe file and for osx a dmg, for linux we have a archive tar file.

The full installers/archives are only for new installs, never use that to update/overwrite an existing install, existing installations should always be updated through the "check for updates".
This release can be updated by using the "latest" url: http://download.servoy.com/developer/latest/ (when you come from 2019.03 or higher)
This release is build on Eclipse 2020.09 (4.17)

If check for updates says there are no updates, then it could be a caching problem of eclipse, please restart the developer once and try again.

We ship a java with our installation (Java 15.0.2). So there doesn't need to be a java installed on the system anymore.
Also with a next update, we can update the java version with it so no need to keep it up to date yourself anymore.


This is a release in our quarterly release cycle, if you want to stay on the LTS path you need to stick to 2020.03.2 and enabled only the lts update site.
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 8452
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Re: Servoy 2021.03

Postby huber » Fri Apr 23, 2021 10:55 am

Congratulations to the 2021.03 release. Reading the last sentence, I am not sure if it means this release is not going to be a LTS release? Or is it the .1 release which is going to be the LTS release? Thanks for clarification.

Regards,
Robert Huber
7r AG, Switzerland
SAN Developer
http://www.seven-r.ch
User avatar
huber
 
Posts: 403
Joined: Mon May 14, 2012 11:31 pm

Re: Servoy 2021.03

Postby jcompagner » Fri Apr 23, 2021 11:35 am

yes there will be an LTS release from this branch...
But 2021.03 by itself is not an LTS only one that marked as lts later on so 2021.3.1 LTS or 2021.3.2 LTS (it could even be that we release a 2021.3.1 before we really make an LTS release of this, but this is not planned)

So you can already move to this release and then don't move to 2020.06 when that is released but move then to 2021.3.1 LTS that will be released after 2020.06
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 8452
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Re: Servoy 2021.03

Postby jcompagner » Fri Apr 23, 2021 11:35 am

yes there will be an LTS release from this branch...
But 2021.03 by itself is not an LTS only one that marked as lts later on so 2021.3.1 LTS or 2021.3.2 LTS (it could even be that we release a 2021.3.1 before we really make an LTS release of this, but this is not planned)

So you can already move to this release and then don't move to 2020.06 when that is released but move then to 2021.3.1 LTS that will be released after 2020.06
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 8452
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Re: Servoy 2021.03

Postby andre1506345542 » Thu Jun 17, 2021 9:07 am

Updating to this version using checking for update returns the error
Unable to read repository at https://dl.bintray.com/subclipse/releas ... t/site.xml.
Server returned HTTP response code: 403 for URL: https://dl.bintray.com/subclipse/releas ... t/site.xml

Please advice.
Andre
andre1506345542
 
Posts: 39
Joined: Mon Sep 25, 2017 3:19 pm

Re: Servoy 2021.03

Postby jcompagner » Thu Jun 17, 2021 9:13 am

remove that repository from your update repositories (or disable them) in the preferences
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 8452
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Re: Servoy 2021.03

Postby andre1506345542 » Thu Jun 17, 2021 9:21 am

Thanks Johan,
Did that. I now I get
Problem occured. Searching alternate solutions..'has encountered a problem. No remedy found

If I press OK and try to installed this version. I get this:

Cannot complete the install because of a conflicting dependency.
Software being installed: Servoy Developer 2021.3.0.3642 (servoy.product 2021.3.0.3642)
Software currently installed: Maven SCM handler for Subclipse 1.0.0.201609101315 (org.sonatype.m2e.subclipse.feature.feature.group 1.0.0.201609101315)
Only one of the following can be installed at once:
Structured Source XML Model 1.2.300.v202007191910 (org.eclipse.wst.xml.core 1.2.300.v202007191910)
Structured Source XML Model 1.1.1100.v201705012045 (org.eclipse.wst.xml.core 1.1.1100.v201705012045)
Structured Source XML Model 1.1.1101.v201711080222 (org.eclipse.wst.xml.core 1.1.1101.v201711080222)
Structured Source XML Model 1.1.800.v201301091921 (org.eclipse.wst.xml.core 1.1.800.v201301091921)
Cannot satisfy dependency:
From: Servoy CSS feature 2021.3.0.3642 (com.servoy.css.core.feature.group 2021.3.0.3642)
To: org.eclipse.equinox.p2.iu; org.eclipse.wst.xml.core [1.2.300.v202007191910,1.2.300.v202007191910]
Cannot satisfy dependency:
From: Servoy Feature 2021.3.0.3642 (com.servoy.eclipse.feature.feature.group 2021.3.0.3642)
To: org.eclipse.equinox.p2.iu; com.servoy.css.core.feature.group [2021.3.0.3642,2021.3.0.3642]
Cannot satisfy dependency:
From: m2e - Maven Integration for Eclipse (includes Incubating components) 1.8.2.20171007-0217 (org.eclipse.m2e.feature.feature.group 1.8.2.20171007-0217)
To: org.eclipse.equinox.p2.iu; org.eclipse.m2e.model.edit [1.8.2.20171007-0217,1.8.2.20171007-0217]
Cannot satisfy dependency:
From: m2e - Maven Integration for Eclipse (includes Incubating components) 1.8.3.20180227-2137 (org.eclipse.m2e.feature.feature.group 1.8.3.20180227-2137)
To: org.eclipse.equinox.p2.iu; org.eclipse.m2e.model.edit [1.8.3.20180227-2137,1.8.3.20180227-2137]
Cannot satisfy dependency:
From: Maven Project Model Edit Bundle 1.8.2.20171007-0217 (org.eclipse.m2e.model.edit 1.8.2.20171007-0217)
To: osgi.bundle; org.eclipse.wst.xsd.core 0.0.0
Cannot satisfy dependency:
From: Maven Project Model Edit Bundle 1.8.3.20180227-2137 (org.eclipse.m2e.model.edit 1.8.3.20180227-2137)
To: osgi.bundle; org.eclipse.wst.xsd.core 0.0.0
Cannot satisfy dependency:
From: XSD Core Plugin 1.1.900.v201401141857 (org.eclipse.wst.xsd.core 1.1.900.v201401141857)
To: osgi.bundle; org.eclipse.wst.xml.core [1.1.0,1.2.0)
Cannot satisfy dependency:
From: Maven SCM handler for Subclipse 1.0.0.201609101315 (org.sonatype.m2e.subclipse.feature.feature.group 1.0.0.201609101315)
To: org.eclipse.equinox.p2.iu; org.eclipse.m2e.feature.feature.group 0.0.0
Cannot satisfy dependency:
From: Servoy Developer 2021.3.0.3642 (servoy.product 2021.3.0.3642)
To: org.eclipse.equinox.p2.iu; com.servoy.eclipse.feature.feature.group [2021.3.0.3642,2021.3.0.3642]

Thanks again for your help
Andre
andre1506345542
 
Posts: 39
Joined: Mon Sep 25, 2017 3:19 pm

Re: Servoy 2021.03

Postby jcompagner » Thu Jun 17, 2021 9:49 am

i think you first need to uninstall the m2e stuff or maybe subclipse itself
that is somehow not working and interfering with the install servoy needs.
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 8452
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Re: Servoy 2021.03

Postby jcompagner » Thu Jun 17, 2021 9:49 am

i think you first need to uninstall the m2e stuff or maybe subclipse itself
that is somehow not working and interfering with the install servoy needs.
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 8452
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet


Return to Announcements

Who is online

Users browsing this forum: No registered users and 1 guest

cron